cvp.vo

## Class DatiSpec

- java.lang.Object
- - cvp.vo.DatiSpec

-     public class DatiSpec
      extends java.lang.Object

  Contiene i dati di dettaglio tipici di una prescizione specialistica

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codBranca` Codice della branca specialistica a cui appartengono le prestazioni prescritte, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `codEsenzione` Codice di esenzione applicato alla prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `codPrioritaPrestazione` Codice Indicante la priorità della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `descBranca` Descrizione della branca specialistica a cui appartengono le prestazioni prescritte, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `descEsenzione` Descrizione dell'esenzione indicato nella prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `flagCiclica` Indica se la prescrizione contiene prestazioni cicliche o meno, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private Prestazioni` | `prestazioni` Elenco delle prestazioni specialistiche prescritte, elemento facoltativo.
    `private java.lang.String` | `quesitoDiagnostico` Quesito diagnostico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatiSpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodBranca()`
    `java.lang.String` | `getCodEsenzione()`
    `java.lang.String` | `getCodPrioritaPrestazione()`
    `java.lang.String` | `getDescBranca()`
    `java.lang.String` | `getDescEsenzione()`
    `java.lang.String` | `getFlagCiclica()`
    `Prestazioni` | `getPrestazioni()`
    `java.lang.String` | `getQuesitoDiagnostico()`
    `void` | `setCodBranca(java.lang.String codBranca)`
    `void` | `setCodEsenzione(java.lang.String codEsenzione)`
    `void` | `setCodPrioritaPrestazione(java.lang.String codPrioritaPrestazione)`
    `void` | `setDescBranca(java.lang.String descBranca)`
    `void` | `setDescEsenzione(java.lang.String descEsenzione)`
    `void` | `setFlagCiclica(java.lang.String flagCiclica)`
    `void` | `setPrestazioni(Prestazioni prestazioni)`
    `void` | `setQuesitoDiagnostico(java.lang.String quesitoDiagnostico)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### descBranca

          private java.lang.String descBranca

      Descrizione della branca specialistica a cui appartengono le prestazioni prescritte, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### codEsenzione

          private java.lang.String codEsenzione

      Codice di esenzione applicato alla prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### descEsenzione

          private java.lang.String descEsenzione

      Descrizione dell'esenzione indicato nella prescrizione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### flagCiclica

          private java.lang.String flagCiclica

      Indica se la prescrizione contiene prestazioni cicliche o meno, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato. Può assumere i seguenti falori: 1=prescrizione con prestazioni cicliche 0=prescrizione con prestazioni non cicliche

    - #### quesitoDiagnostico

          private java.lang.String quesitoDiagnostico

      Quesito diagnostico, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### prestazioni

          private Prestazioni prestazioni

      Elenco delle prestazioni specialistiche prescritte, elemento facoltativo.

    - #### codBranca

          private java.lang.String codBranca

      Codice della branca specialistica a cui appartengono le prestazioni prescritte, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### codPrioritaPrestazione

          private java.lang.String codPrioritaPrestazione

      Codice Indicante la priorità della prestazione, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato. Può assumere i seguenti valori: U = urgente (da eseguire nel più breve tempo possibile); B = breve (da eseguire entro 10 giorni); D = differita (da eseguire entro 30 giorni per le visite mentre 60 per gli accertamenti specialistici); P = programmata (da eseguire entro 180 giorni).

  - ### Constructor Detail

    - #### DatiSpec

          public DatiSpec()

  - ### Method Detail

    - #### getDescBranca

          public java.lang.String getDescBranca()

    - #### setDescBranca

          public void setDescBranca(java.lang.String descBranca)

    - #### getCodEsenzione

          public java.lang.String getCodEsenzione()

    - #### setCodEsenzione

          public void setCodEsenzione(java.lang.String codEsenzione)

    - #### getDescEsenzione

          public java.lang.String getDescEsenzione()

    - #### setDescEsenzione

          public void setDescEsenzione(java.lang.String descEsenzione)

    - #### getFlagCiclica

          public java.lang.String getFlagCiclica()

    - #### setFlagCiclica

          public void setFlagCiclica(java.lang.String flagCiclica)

    - #### getQuesitoDiagnostico

          public java.lang.String getQuesitoDiagnostico()

    - #### setQuesitoDiagnostico

          public void setQuesitoDiagnostico(java.lang.String quesitoDiagnostico)

    - #### getPrestazioni

          public Prestazioni getPrestazioni()

    - #### setPrestazioni

          public void setPrestazioni(Prestazioni prestazioni)

    - #### getCodBranca

          public java.lang.String getCodBranca()

    - #### setCodBranca

          public void setCodBranca(java.lang.String codBranca)

    - #### getCodPrioritaPrestazione

          public java.lang.String getCodPrioritaPrestazione()

    - #### setCodPrioritaPrestazione

          public void setCodPrioritaPrestazione(java.lang.String codPrioritaPrestazione)